com.pixelmed.dicom

## Class DicomDirectoryRecordFactory

- java.lang.Object
- - com.pixelmed.dicom.DicomDirectoryRecordFactory

    public class DicomDirectoryRecordFactory
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `DicomDirectoryRecordFactory.ConcatenationDirectoryRecord`
`class` `DicomDirectoryRecordFactory.EncapsulatedDocumentDirectoryRecord`
`class` `DicomDirectoryRecordFactory.FiducialDirectoryRecord`
`class` `DicomDirectoryRecordFactory.HL7StructuredDocumentDirectoryRecord`
`class` `DicomDirectoryRecordFactory.ImageDirectoryRecord`
`class` `DicomDirectoryRecordFactory.KODocumentDirectoryRecord`
`class` `DicomDirectoryRecordFactory.PatientDirectoryRecord`
`class` `DicomDirectoryRecordFactory.PresentationStateDirectoryRecord`
`class` `DicomDirectoryRecordFactory.RawDataDirectoryRecord`
`class` `DicomDirectoryRecordFactory.RealWorldValueMappingDirectoryRecord`
`class` `DicomDirectoryRecordFactory.RegistrationDirectoryRecord`
`class` `DicomDirectoryRecordFactory.RTDoseDirectoryRecord`
`class` `DicomDirectoryRecordFactory.RTPlanDirectoryRecord`
`class` `DicomDirectoryRecordFactory.RTStructureSetDirectoryRecord`
`class` `DicomDirectoryRecordFactory.RTTreatmentRecordDirectoryRecord`
`class` `DicomDirectoryRecordFactory.SeriesDirectoryRecord`
`class` `DicomDirectoryRecordFactory.SpectroscopyDirectoryRecord`
`class` `DicomDirectoryRecordFactory.SRDocumentDirectoryRecord`
`class` `DicomDirectoryRecordFactory.StereometricRelationshipDirectoryRecord`
`class` `DicomDirectoryRecordFactory.StudyDirectoryRecord`
`class` `DicomDirectoryRecordFactory.TopDirectoryRecord`
`class` `DicomDirectoryRecordFactory.UnrecognizedDirectoryRecord`
`class` `DicomDirectoryRecordFactory.WaveformDirectoryRecord`

### Constructor Summary

Constructors
Constructor and Description
`DicomDirectoryRecordFactory()`

### Method Summary

Methods
`DicomDirectoryRecord` `getNewDicomDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.EncapsulatedDocumentDirectoryRecord` `getNewEncapsulatedDocumentDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.FiducialDirectoryRecord` `getNewFiducialDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.HL7StructuredDocumentDirectoryRecord` `getNewHL7StructuredDocumentDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.ImageDirectoryRecord` `getNewImageDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.KODocumentDirectoryRecord` `getNewKODocumentDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.PatientDirectoryRecord` `getNewPatientDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.PresentationStateDirectoryRecord` `getNewPresentationStateDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.RawDataDirectoryRecord` `getNewRawDataDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.RealWorldValueMappingDirectoryRecord` `getNewRealWorldValueMappingDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.RegistrationDirectoryRecord` `getNewRegistrationDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.RTDoseDirectoryRecord` `getNewRTDoseDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.RTPlanDirectoryRecord` `getNewRTPlanDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.RTStructureSetDirectoryRecord` `getNewRTStructureSetDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.RTTreatmentRecordDirectoryRecord` `getNewRTTreatmentRecordDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.SeriesDirectoryRecord` `getNewSeriesDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.SpectroscopyDirectoryRecord` `getNewSpectroscopyDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.SRDocumentDirectoryRecord` `getNewSRDocumentDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.StereometricRelationshipDirectoryRecord` `getNewStereometricRelationshipDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.StudyDirectoryRecord` `getNewStudyDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`
`DicomDirectoryRecordFactory.TopDirectoryRecord` `getNewTopDirectoryRecord()`
`DicomDirectoryRecordFactory.WaveformDirectoryRecord` `getNewWaveformDirectoryRecord(DicomDirectoryRecord parent, AttributeList list)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DicomDirectoryRecordFactory

    public DicomDirectoryRecordFactory()

### Method Detail

#### getNewDicomDirectoryRecord

    public DicomDirectoryRecord getNewDicomDirectoryRecord(DicomDirectoryRecord parent,
                                                  AttributeList list)

Parameters:
  `parent` -
  `list` -

#### getNewTopDirectoryRecord

    public DicomDirectoryRecordFactory.TopDirectoryRecord getNewTopDirectoryRecord()

#### getNewPatientDirectoryRecord

    public DicomDirectoryRecordFactory.PatientDirectoryRecord getNewPatientDirectoryRecord(DicomDirectoryRecord parent,
                                                                                  AttributeList list)

#### getNewStudyDirectoryRecord

    public DicomDirectoryRecordFactory.StudyDirectoryRecord getNewStudyDirectoryRecord(DicomDirectoryRecord parent,
                                                                              AttributeList list)

#### getNewSeriesDirectoryRecord

    public DicomDirectoryRecordFactory.SeriesDirectoryRecord getNewSeriesDirectoryRecord(DicomDirectoryRecord parent,
                                                                                AttributeList list)

#### getNewImageDirectoryRecord

    public DicomDirectoryRecordFactory.ImageDirectoryRecord getNewImageDirectoryRecord(DicomDirectoryRecord parent,
                                                                              AttributeList list)

#### getNewSRDocumentDirectoryRecord

    public DicomDirectoryRecordFactory.SRDocumentDirectoryRecord getNewSRDocumentDirectoryRecord(DicomDirectoryRecord parent,
                                                                                        AttributeList list)

#### getNewKODocumentDirectoryRecord

    public DicomDirectoryRecordFactory.KODocumentDirectoryRecord getNewKODocumentDirectoryRecord(DicomDirectoryRecord parent,
                                                                                        AttributeList list)

#### getNewRTDoseDirectoryRecord

    public DicomDirectoryRecordFactory.RTDoseDirectoryRecord getNewRTDoseDirectoryRecord(DicomDirectoryRecord parent,
                                                                                AttributeList list)

#### getNewRTStructureSetDirectoryRecord

    public DicomDirectoryRecordFactory.RTStructureSetDirectoryRecord getNewRTStructureSetDirectoryRecord(DicomDirectoryRecord parent,
                                                                                                AttributeList list)

#### getNewRTPlanDirectoryRecord

    public DicomDirectoryRecordFactory.RTPlanDirectoryRecord getNewRTPlanDirectoryRecord(DicomDirectoryRecord parent,
                                                                                AttributeList list)

#### getNewRTTreatmentRecordDirectoryRecord

    public DicomDirectoryRecordFactory.RTTreatmentRecordDirectoryRecord getNewRTTreatmentRecordDirectoryRecord(DicomDirectoryRecord parent,
                                                                                                      AttributeList list)

#### getNewPresentationStateDirectoryRecord

    public DicomDirectoryRecordFactory.PresentationStateDirectoryRecord getNewPresentationStateDirectoryRecord(DicomDirectoryRecord parent,
                                                                                                      AttributeList list)

#### getNewSpectroscopyDirectoryRecord

    public DicomDirectoryRecordFactory.SpectroscopyDirectoryRecord getNewSpectroscopyDirectoryRecord(DicomDirectoryRecord parent,
                                                                                            AttributeList list)

#### getNewRawDataDirectoryRecord

    public DicomDirectoryRecordFactory.RawDataDirectoryRecord getNewRawDataDirectoryRecord(DicomDirectoryRecord parent,
                                                                                  AttributeList list)

#### getNewWaveformDirectoryRecord

    public DicomDirectoryRecordFactory.WaveformDirectoryRecord getNewWaveformDirectoryRecord(DicomDirectoryRecord parent,
                                                                                    AttributeList list)

#### getNewRegistrationDirectoryRecord

    public DicomDirectoryRecordFactory.RegistrationDirectoryRecord getNewRegistrationDirectoryRecord(DicomDirectoryRecord parent,
                                                                                            AttributeList list)

#### getNewFiducialDirectoryRecord

    public DicomDirectoryRecordFactory.FiducialDirectoryRecord getNewFiducialDirectoryRecord(DicomDirectoryRecord parent,
                                                                                    AttributeList list)

#### getNewRealWorldValueMappingDirectoryRecord

    public DicomDirectoryRecordFactory.RealWorldValueMappingDirectoryRecord getNewRealWorldValueMappingDirectoryRecord(DicomDirectoryRecord parent,
                                                                                                              AttributeList list)

#### getNewStereometricRelationshipDirectoryRecord

    public DicomDirectoryRecordFactory.StereometricRelationshipDirectoryRecord getNewStereometricRelationshipDirectoryRecord(DicomDirectoryRecord parent,
                                                                                                                    AttributeList list)

#### getNewEncapsulatedDocumentDirectoryRecord

    public DicomDirectoryRecordFactory.EncapsulatedDocumentDirectoryRecord getNewEncapsulatedDocumentDirectoryRecord(DicomDirectoryRecord parent,
                                                                                                            AttributeList list)

#### getNewHL7StructuredDocumentDirectoryRecord

    public DicomDirectoryRecordFactory.HL7StructuredDocumentDirectoryRecord getNewHL7StructuredDocumentDirectoryRecord(DicomDirectoryRecord parent,
                                                                                                              AttributeList list)